ProfilingGrailsPluginManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class ProfilingGrailsPluginManager

    java.lang.Object
      org.codehaus.groovy.grails.plugins.AbstractGrailsPluginManager
          org.codehaus.groovy.grails.plugins.DefaultGrailsPluginManager
              org.codehaus.groovy.grails.plugins.ProfilingGrailsPluginManager

    public class ProfilingGrailsPluginManager
    extends DefaultGrailsPluginManager

A GrailsPluginManager implementation that outputs profile data to a logger.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class DefaultGrailsPluginManager
COMMON_CLASSES

Fields inherited from class AbstractGrailsPluginManager
CONFIG_FILE, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown

Constructor Summary
`ProfilingGrailsPluginManager(java.lang.Class[] plugins, GrailsApplication application)`
`ProfilingGrailsPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)`
`ProfilingGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)`
`ProfilingGrailsPluginManager(java.lang.String[] pluginResources, GrailsApplication application)`

Method Summary
`void` | `doArtefactConfiguration()`
`void` | `doDynamicMethods()`
`void` | `doPostProcessing(org.springframework.context.ApplicationContext ctx)`
`void` | `doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)`
`void` | `loadPlugins()`

Methods inherited from class DefaultGrailsPluginManager
canRegisterPlugin, checkForChanges, createGrailsPlugin, createGrailsPlugin, doDynamicMethods, doWebDescriptor, doWebDescriptor, evictPlugin, getPluginObservers, getServletContext, getUserPlugins, informObservers, loadPlugins, refreshPlugin, reloadPlugin, resolveLoadDependencies, setApplication, setApplicationContext, setParentApplicationContext, setServletContext, sortPlugins, startPluginChangeScanner, stopPluginChangeScanner

Methods inherited from class AbstractGrailsPluginManager
checkInitialised, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, getAllPlugins, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isInitialised, isShutdown, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, shutdown, supportsCurrentBuildScope

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ProfilingGrailsPluginManager

    public ProfilingGrailsPluginManager(java.lang.Class[] plugins, GrailsApplication application)

### ProfilingGrailsPluginManager

    public ProfilingGrailsPluginManager(org.springframework.core.io.Resource[] pluginFiles, GrailsApplication application)

### ProfilingGrailsPluginManager

    public ProfilingGrailsPluginManager(java.lang.String resourcePath, GrailsApplication application)

### ProfilingGrailsPluginManager

    public ProfilingGrailsPluginManager(java.lang.String[] pluginResources, GrailsApplication application)

Method Detail

### doArtefactConfiguration

    @java.lang.Overridepublic void doArtefactConfiguration() {
    public void doArtefactConfiguration()

### doDynamicMethods

    @java.lang.Override
    public void doDynamicMethods()

### doPostProcessing

    @java.lang.Overridepublic void doPostProcessing(ApplicationContext ctx) {
    public void doPostProcessing(org.springframework.context.ApplicationContext ctx)

### doRuntimeConfiguration

    @java.lang.Overridepublic void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig) {
    public void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)

### loadPlugins

    @java.lang.Override
    public void loadPlugins()

Groovy Documentation